#
# spec file for package python-os-xenapi
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define with_tests 1
Name:           python-os-xenapi
Version:        0.3.3
Release:        4.1
Summary:        XenAPI library for OpenStack projects
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://launchpad.net/os-xenapi
Source0:        https://files.pythonhosted.org/packages/source/o/os-xenapi/os-xenapi-%{version}.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-devel
BuildRequires:  python-eventlet
BuildRequires:  python-oslo.concurrency
BuildRequires:  python-oslo.i18n
BuildRequires:  python-oslo.log
BuildRequires:  python-oslo.utils
BuildRequires:  python-oslotest
BuildRequires:  python-paramiko
BuildRequires:  python-pbr
BuildRequires:  python-six
BuildRequires:  python-testrepository
BuildRequires:  python-testscenarios
BuildRequires:  python-testtools
Requires:       python-Babel
Requires:       python-eventlet
Requires:       python-oslo.concurrency
Requires:       python-oslo.i18n
Requires:       python-oslo.log
Requires:       python-oslo.utils
Requires:       python-paramiko
Requires:       python-pbr
Requires:       python-six
BuildArch:      noarch

%description
XenAPI library for OpenStack projects.

%package doc
Summary:        Documentation for OpenStack log library
Group:          Development/Languages/Python
BuildRequires:  python-Sphinx
BuildRequires:  python-oslosphinx

%description doc
Documentation for the os-xenapi module.

%prep
%autosetup -p1 -n os-xenapi-%{version}
%py_req_cleanup

%build
%{py2_build}

# generate html docs
%{__python2} setup.py build_sphinx
rm -rf doc/build/html/.{doctrees,buildinfo}

%install
%{py2_install}

%if 0%{?with_tests}
%check
%{__python2} setup.py test
%endif

%files
%license LICENSE
%doc ChangeLog README.rst
%{python2_sitelib}/os_xenapi
%{python2_sitelib}/*.egg-info
%{_bindir}/xenapi_bootstrap

%files doc
%license LICENSE
%doc doc/build/html

%changelog
